sc::SCVector3(3)

NAME
sc::SCVector3 -

SYNOPSIS

  Public Member Functions
SCVector3 (const double p[3])
SCVector3 (double d)
SCVector3 (double x, double y, double z)
SCVector3 (const SCVector3 &p)
SCVector3 (const RefSCVector &)
SCVector3 (const Ref< KeyVal > &)
void normalize ()
SCVector3 operator- ()
SCVector3 operator* (double) const
void operator= (const double *x)
void operator= (const SCVector3 &x)
void operator= (double d)
void operator-= (const SCVector3 &v)
void operator+= (const SCVector3 &v)
void operator*= (double m)
SCVector3 operator+ (const SCVector3 &v) const
SCVector3 operator- (const SCVector3 &v) const
double dot (const SCVector3 &v) const
SCVector3 cross (const SCVector3 &) const
SCVector3 perp_unit (const SCVector3 &) const
void spherical_coord (double theta, double phi, double r)
void spherical_to_cartesian (SCVector3 &cart) const
double maxabs () const
double dist (const SCVector3 &) const
void rotate (double theta, SCVector3 &v)
double norm () const
double & elem (int xyz)
const double & elem (int xyz) const
double & operator[] (int i)
const double & operator[] (int i) const
double & operator() (int i)
const double & operator() (int i) const
const double * data () const
double * data ()
double & x ()
double & y ()
double & z ()
const double & x () const
const double & y () const
const double & z () const
double & r ()
double & theta ()
double & phi ()
const double & r () const
const double & theta () const
const double & phi () const
void print (std::ostream &=ExEnv::out0()) const

  Friends
class SCMatrix3

Author

Generated automatically by Doxygen for MPQC from the source code.